<?php

include 'conexion.php';

$consulta = "SELECT
    `id_compra`,
    compra.`nombre`,
    `descripcion`,
    `valor_total`,
    `fecha`,
    `fk_dependencia`,
    `fk_id_tip_cate`,
    dependencia.nombre AS Nombre_dependencia,
    tipo_compra.nom_tip_compra AS Nombre_tipo_cate FROM compra
    LEFT JOIN dependencia ON compra.fk_dependencia = dependencia.id_dependencia
    LEFT JOIN tipo_compra ON compra.fk_id_tip_cate = tipo_compra.id_tip_compra WHERE id_compra != 0";

$resultado = $conexion->query($consulta);

while($fila = $resultado -> fetch_array()){
    $activos[] = array_map('utf8_encode', $fila);
}

echo json_encode($activos, JSON_UNESCAPED_UNICODE);
$resultado -> close();

?>